OCAMLDEBUG(1)

NAME
ocamldebug - the Objective Caml source-level replay debugger.

SYNOPSIS
ocamldebug [ options ] program [ arguments ]

DESCRIPTION
ocamldebug is the Objective Caml source-level replay debugger. Before the debugger can be used, the program must be compiled and linked with the -g option: all .cmo and .cma files that are part of the program should have been created with ocamlc -g, and they must be linked together with ocamlc -g. Compiling with -g entails no penalty on the running time of programs: object files and bytecode executable files are bigger and take longer to produce, but the executable files run at exactly the same speed as if they had been compiled without -g.

OPTIONS
A summary of options are included below. For a complete description, see the html documentation in the ocaml-doc package.

-c count
    Set the maximum number of simultaneously live checkpoints to count.

-cd dir
    Run the debugger program from the working directory dir, instead of the current working directory. (See also the cd command.)

-emacs
    Tell the debugger it is executed under Emacs. (See The Objective Caml user's manual for information on how to run the debugger under Emacs.)

-I directory
    Add directory to the list of directories searched for source files and compiled files. (See also the directory command.)

-s socket
    Use socket for communicating with the debugged program. See the description of the command set socket in The Objective Caml user's manual for the format of socket.

-version
    Print version string and exit.

-vnum
    Print short version number and exit.

-help or --help
    Display a short usage summary and exit.

SEE ALSO
ocamlc(1)
The Objective Caml user's manual, chapter "The debugger".

AUTHOR
This manual page was written by Sven LUTHER <luther@debian.org>, for the Debian GNU/Linux system (but may be used by others).